﻿/**Begin D:\PDM_UPGRADE\PDM1\QCQI_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCQI_PROBLEMNOTICE') 
 CREATE TABLE T_QCQI_PROBLEMNOTICE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FCREATEDEPARTID BIGINT DEFAULT 0 NOT NULL,
FCOMMENT NVARCHAR(512) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCQI_PROBLEMNOTICE_L') 
 CREATE TABLE T_QCQI_PROBLEMNOTICE_L (
FPKID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(512) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCQI_PRONOTICE_ENTRY') 
 CREATE TABLE T_QCQI_PRONOTICE_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPROBLEMSTATUS NVARCHAR(5) DEFAULT ' ' NOT NULL,
FMATERIALCFGID BIGINT DEFAULT 0 NOT NULL,
FMATERIALQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMEASUREUNITID BIGINT DEFAULT 0 NOT NULL,
FBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FUNQUAPROBLEMID BIGINT DEFAULT 0 NOT NULL,
FDETAILS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDETAILS_TAG NCLOB,
FLOTNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOPRWORKSHOPID BIGINT DEFAULT 0 NOT NULL,
FPRODUCTIONWORKSHOPID BIGINT DEFAULT 0 NOT NULL,
FSERIOUSLEVELSCHEMEID BIGINT DEFAULT 0 NOT NULL,
FHOPENDATE DATETIME,
FINFACTCLOSEDATE DATETIME,
FHANDLERWORKSHOPID BIGINT DEFAULT 0 NOT NULL,
FHANDLER BIGINT DEFAULT 0 NOT NULL,
FSRCBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMAINBILLNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FCUSTOMERID BIGINT DEFAULT 0 NOT NULL,
FRECURRENCE NVARCHAR(5) DEFAULT ' ' NOT NULL,
FPROGRESS NVARCHAR(5) DEFAULT ' ' NOT NULL,
FTOPICSTATUS NVARCHAR(5) DEFAULT ' ' NOT NULL,
FRPTCLOSEDATE DATETIME,
FTOPICCLOSEDATE DATETIME,
FMATERIALID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCQI_PRONOTICE_ENTRY_L') 
 CREATE TABLE T_QCQI_PRONOTICE_ENTRY_L (
FPKID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCQI_PRONOTICE_SUB') 
 CREATE TABLE T_QCQI_PRONOTICE_SUB (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSUBSEQ INT DEFAULT 0 NOT NULL,
FSERIOUSSCORE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FHAPPENRATESCORE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSEARCHDEEPSCORE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSERIOUSLEVELSCORE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FIMPROVEWAYID BIGINT DEFAULT 0 NOT NULL,
FSERIOUSLEVELID BIGINT DEFAULT 0 NOT NULL,
FSUBREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCQI_PRONOTICE_SUB_L') 
 CREATE TABLE T_QCQI_PRONOTICE_SUB_L (
FPKID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSUBREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL
);

EXEC p_AlterColumn 'T_QCQI_PRONOTICE_ENTRY', 'FSRCBILLNUMBER', 'NVARCHAR(30)', 'NOT NULL', '0100', ''' ''';

EXEC p_AlterColumn 'T_QCQI_PRONOTICE_ENTRY', 'FMAINBILLNUMBER', 'NVARCHAR(30)', 'NOT NULL', '0100', ''' ''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_QCQI_PRONOTICE_ENTRY' AND KSQL_COL_NAME ='FSRCBILLENTITY')
ALTER TABLE T_QCQI_PRONOTICE_ENTRY ADD (FSRCBILLENTITY NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_QCQI_PRONOTICE_ENTRY' AND KSQL_COL_NAME ='FSRCBILLID')
ALTER TABLE T_QCQI_PRONOTICE_ENTRY ADD (FSRCBILLID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_QCQI_PRONOTICE_ENTRY' AND KSQL_COL_NAME ='FSRCBILLENTRYSEQ')
ALTER TABLE T_QCQI_PRONOTICE_ENTRY ADD (FSRCBILLENTRYSEQ BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_QCQI_PRONOTICE_ENTRY' AND KSQL_COL_NAME ='FSRCSYSTEM')
ALTER TABLE T_QCQI_PRONOTICE_ENTRY ADD (FSRCSYSTEM NVARCHAR(10) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_QCQI_PRONOTICE_ENTRY' AND KSQL_COL_NAME ='FSRCBILLENTRYID')
ALTER TABLE T_QCQI_PRONOTICE_ENTRY ADD (FSRCBILLENTRYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_QCQI_PRONOTICE_ENTRY' AND KSQL_COL_NAME ='FMAINBILLENTITY')
ALTER TABLE T_QCQI_PRONOTICE_ENTRY ADD (FMAINBILLENTITY NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_QCQI_PRONOTICE_ENTRY' AND KSQL_COL_NAME ='FMAINBILLID')
ALTER TABLE T_QCQI_PRONOTICE_ENTRY ADD (FMAINBILLID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_QCQI_PRONOTICE_ENTRY' AND KSQL_COL_NAME ='FMAINBILLENTRYID')
ALTER TABLE T_QCQI_PRONOTICE_ENTRY ADD (FMAINBILLENTRYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_QCQI_PRONOTICE_ENTRY' AND KSQL_COL_NAME ='FMAINBILLENTRYSEQ')
ALTER TABLE T_QCQI_PRONOTICE_ENTRY ADD (FMAINBILLENTRYSEQ BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_QCQI_PRONOTICE_ENTRY' AND KSQL_COL_NAME ='FMAINBILLTYPEID')
ALTER TABLE T_QCQI_PRONOTICE_ENTRY ADD (FMAINBILLTYPEID BIGINT DEFAULT 0 NOT NULL );

/**End D:\PDM_UPGRADE\PDM1\QCQI_table.sql **/
